Bug 50921 - [PATCH] mail/librfc822: unbreak on -CURRENT
Summary: [PATCH] mail/librfc822: unbreak on -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-13 23:50 UTC by Sergei Kolobov
Modified: 2003-05-07 18:21 UTC (History)
0 users

See Also:


Attachments
librfc822-1.0.patch (1.70 KB, patch)
2003-04-13 23:50 UTC, Sergei Kolobov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Kolobov 2003-04-13 23:50:14 UTC
- Unbreak on -CURRENT (patch added)
- Add devel as a secondary category
- Use INSTALL_DATA instead of CP to install documentation
- Only install the .txt/.html/.pdf files, skip supporting files
- Bump PORTREVISION due to changed package

Added files:
- files/patch-lexer.cc
Comment 1 Sergei Kolobov 2003-04-14 14:26:30 UTC
The following patch was unintentionally omitted from the PR:

Added files:
- files/patch-lexer.cc

--- librfc822/files/patch-lexer.cc	Thu Jan  1 03:00:00 1970
+++ librfc822-1.0_1/files/patch-lexer.cc	Mon Apr 14 02:35:24 2003
@@ -0,0 +1,11 @@
+--- lexer.cc.orig	Mon Apr 14 02:34:51 2003
++++ lexer.cc	Mon Apr 14 02:34:55 2003
+@@ -6,7 +6,7 @@
+ #include "rfc822.hh"
+ using namespace std;
+ 
+-ostream & operator<< (ostream & os, const token & t)
++std::ostream & operator<< (std::ostream& os, const token & t)
+     {
+     switch(t.type)
+ 	{
Comment 2 Ying-Chieh Liao freebsd_committer 2003-05-07 18:20:29 UTC
State Changed
From-To: open->closed

committed, thanks